Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-0646

Overview

Vulnerability Score 7.8 7.8
CVE Id CVE-2008-0646
Last Modified 07 Mar 2011 10:05:02
Published 07 Feb 2008 04:00:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2008-0646

Summary

The bdecode_recursive function in include/libtorrent/bencode.hpp in Rasterbar Software libtorrent before 0.12.1, as used in Deluge before 0.5.8.3 and other products, allows context-dependent attackers to cause a denial of service (stack exhaustion and crash) via a crafted bencoded message.

Vulnerable Systems

Application

  • Deluge Team Deluge 0.5.8.2

  • Rasterbar Software Libtorrent 0.12


References

BID - 27597

FEDORA - FEDORA-2008-1198

VUPEN - ADV-2008-0384

VUPEN - ADV-2008-0383

SECUNIA - 28781

SECUNIA - 28700

SECUNIA - 28699

CONFIRM - http://libtorrent.svn.sourceforge.net/viewvc/libtorrent/trunk/include/libtorrent/bencode.hpp?view=log&pathrev=1968

CONFIRM - http://libtorrent.svn.sourceforge.net/viewvc/libtorrent/branches/RC_0_13/include/libtorrent/bencode.hpp?view=log&pathrev=1968

CONFIRM - http://libtorrent.svn.sourceforge.net/viewvc/libtorrent/branches/RC_0_12/include/libtorrent/bencode.hpp?view=log&pathrev=1968#rev1968

CONFIRM - http://libtorrent.svn.sourceforge.net/viewvc/libtorrent/branches/RC_0_12/include/libtorrent/bencode.hpp?r1=956&r2=1968&pathrev=1968

CONFIRM - http://deluge-torrent.org/Changelog.php

SECUNIA - 28782


Last Updated: 27 May 2016 10:46:52